--AH:ScriptId=372e38c1-ec1a-434e-9f73-4d59868190c2;633
CREATE TABLE [Symbols]
(
	[Feed_Id] INT NOT NULL,
	[Symbol_Id] BINARY(16) NOT NULL,
	[SymbolFileName_Text] NVARCHAR(255) NOT NULL,
	[Symbol_Age] INT NOT NULL,
	[Package_Id] NVARCHAR(255) NOT NULL,
	[Package_Version_Text] NVARCHAR(50) NOT NULL,
	[Package_SymbolFilePath_Text] NVARCHAR(255) NOT NULL,
	CONSTRAINT [FK__Symbols__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id]),
	CONSTRAINT [FK__Symbols__Packages]
		FOREIGN KEY ([Feed_Id], [Package_Id], [Package_Version_Text])
		REFERENCES [Packages] ([Feed_Id], [Package_Id], [Version_Text])
)

CREATE NONCLUSTERED INDEX [IX__Symbols__Feed_Id__Symbol_Id]
    ON [Symbols] ([Feed_Id], [Symbol_Id])

CREATE NONCLUSTERED INDEX [IX__Symbols__Feed_Id__Package_Id__Package_Version]
    ON [Symbols] ([Feed_Id], [Package_Id], [Package_Version_Text])
